Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.util
[Java] Class DefaultMacOSXPlatformHandler

    java.lang.Object
      org.codehaus.griffon.runtime.util.DefaultMacOSXPlatformHandler

All Implemented Interfaces:
  PlatformHandler

    public class DefaultMacOSXPlatformHandler
    extends Object

Handles OSX' menubar, about, quit and preferences menus.

Authors:
  Andres Almiray

Since:
  0.9.3

Field Summary
`private static Object` | `macOSXHandler`

Constructor Summary
`DefaultMacOSXPlatformHandler()`

Method Summary
`void` | `handle(GriffonApplication app)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### macOSXHandler

    private static Object macOSXHandler

Constructor Detail

### DefaultMacOSXPlatformHandler

    DefaultMacOSXPlatformHandler()

Method Detail

### handle

    public void handle(GriffonApplication app)

Groovy Documentation